Package: groovy.console

## [Groovy] Class TextTreeNodeMaker

- groovy.console.TextTreeNodeMaker

- All Implemented Interfaces and Traits:
    AstBrowserNodeMaker<TextNode>

      @CompileStatic
      class TextTreeNodeMaker
      extends Object
      implements AstBrowserNodeMaker<TextNode>

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TextTreeNodeMaker()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `TextNode` | `makeNode(Object userObject)`
    `` | `TextNode` | `makeNodeWithProperties(Object userObject, List<List<?>> properties)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextTreeNodeMaker()

  - ### Method Detail

    - #### TextNode makeNode(Object userObject)

    - #### TextNode makeNodeWithProperties(Object userObject, List<List<?>> properties)